add donation entities:
  title: 'Create new Donation entities'

administer donation entities:
  title: 'Administer Donation entities'
  description: 'Allow to access the administration form to configure Donation entities.'
  restrict access: true

delete donation entities:
  title: 'Delete Donation entities'

edit donation entities:
  title: 'Edit Donation entities'

view published donation entities:
  title: 'View published Donation entities'

view unpublished donation entities:
  title: 'View unpublished Donation entities'

add contributor entities:
  title: 'Create new Contributor entities'

administer contributor entities:
  title: 'Administer Contributor entities'
  description: 'Allow to access the administration form to configure Contributor entities.'
  restrict access: true

delete contributor entities:
  title: 'Delete Contributor entities'

edit contributor entities:
  title: 'Edit Contributor entities'

view published contributor entities:
  title: 'View published Contributor entities'

view unpublished contributor entities:
  title: 'View unpublished Contributor entities'

permission_callbacks:
  - \Drupal\vnf_donate\ContributorPermissions::generatePermissions
  - \Drupal\vnf_donate\DonationPermissions::generatePermissions
